#!/bin/bash

wallpaperSource="https://git.keydev.me/kerem/wallpaper"

intro()
{
	graphics_install_prompt "Wallpapers will be installed"
	graphics_install_prompt "Source $wallpaperSource"	
}

outro()
{
	graphics_install_prompt "Wallpaper installation complete"
	cd $MAIN_DIR
}

install_wallpaper()
{
	${pckgmngr_list[$OS_NO]} feh	

	intro 

	if [[ -d "$WALLPAPERS_DIR/wallpaper" ]]
	then 
		graphics_comment "Diectory $WALLPAPERS_DIR/wallpaper Exists"
		graphics_input_prompt "Do you want to replace it ? (y/N)"
		read wpAnswer
		if [[ "$wpAnswer" == "y" ]]
		then 
			graphics_comment "Diectory $WALLPAPERS_DIR/wallpaper Will be deleted"
			sudo rm -r $WALLPAPERS_DIR/wallpaper 
			cd $WALLPAPERS_DIR
			git clone $wallpaperSource
		fi
	else 
		cd $WALLPAPERS_DIR
		git clone $wallpaperSource
	fi

	outro
}
